How do I get Smash DLC on N3DS EmuNAND?

Discussion in '3DS - Flashcards & Custom Firmwares' started by Lucifer666, Jun 30, 2015.

  1. Lucifer666
    OP

    Lucifer666 all the world needs is me

    Member
    1,496
    733
    Apr 22, 2011
    The Fourth Dimension
    I have the US version of Smash Bros (clean & legit) installed on my JP N3DS

    I just installed the latest update and both DLC packs 1 and 2

    However upon launching the game I don't have any new characters.

    If I try playing online or visiting the DLC shop it just tells me I need to perform a system update. Obv. I can't do that because EmuNAND is only supported up until firmware 9.5 on the New 3DS. I'm on 9.4 rn (on a version without the internet browser as I updated via retail cart)

    What can I do? Is there any way to spoof being on the latest firmware? Is there something I can do with config.csu from the 3DS Devkit?
     
  2. Simplicity

    Simplicity Advanced Member

    Newcomer
    76
    24
    May 14, 2013
    United States
    Interesting. I have a N3DS on 9.x firmware, with Smash installed, as well as the DLCs, and 1.0.8 update.

    I only installed EMUNAND (and updated it to 9.5) a couple days ago, but before that Smash still worked great, with the update and DLC, despite not being on the latest firmware, strangely. I suspect it is because I was using a Gateway 3DS, as opposed to pasta. Are you using a gateway? I assume you are, if you have EMUNAND setup.

    Anyway, with EMUNAND, the game still works, Amiibos finally work, and I just successfully connected to online play.

    Not sure what your issue is. Should work with a Gateway, EMUNAND or not. Maybe the fact that it's a JP N3DS has something to do with it? Not sure.
     
  3. Lucifer666
    OP

    Lucifer666 all the world needs is me

    Member
    1,496
    733
    Apr 22, 2011
    The Fourth Dimension
    Yeah I can't possibly be on pasta since I have a New 3DS :P (unless they've got it on the N3DS now and I haven't heard) I'm on Gateway

    but yeah, I mean I had DLC pack 1 before with Mewtwo and all. and after applying the 1.0.8 update and installing DLC pack 2 I still only have pack 1, nothing has changed, and if I do anything involving online activity it says I need to update my system

    could it be that I just need to update to 9.5? since that's what you have and you says it works. Just out of curiosity what is the region of your N3DS and your game (if these differ)?
     
    Last edited by Lucifer666, Jun 30, 2015
  4. alantgw

    alantgw Advanced Member

    Newcomer
    83
    23
    Dec 1, 2014
    Hong Kong
    Pasta can be launched by N3DS...
     
  5. Lucifer666
    OP

    Lucifer666 all the world needs is me

    Member
    1,496
    733
    Apr 22, 2011
    The Fourth Dimension
    Whoops, my bad, gonna edit my post rn.

    All right back to the question, has anyone else with a N3DS managed to install the new update and DLC pack and actually have it work without being prompted to update?
     
  6. apoptygma

    apoptygma GBAtemp Advanced Fan

    Member
    689
    145
    Mar 30, 2010
    You probably didn't install the 1.0.8 patch, it's required to make the dlc work. You should be able to find a cia for it wherever you got the dlc
     
  7. Lucifer666
    OP

    Lucifer666 all the world needs is me

    Member
    1,496
    733
    Apr 22, 2011
    The Fourth Dimension
    I did install the 1.0.8 update of the same region.

    It's prompting me to update the SYSTEM, not the game
     
  8. Simplicity

    Simplicity Advanced Member

    Newcomer
    76
    24
    May 14, 2013
    United States
    I have a US N3DS, and a US Smash Bros installed. I don't think your lack of 9.5 is the issue, since I am able to play it no problem with 9.0... As for the missing RYU and DLC, I would suggest you get a different CIA pack for it and try it out. Make sure that when you boot into the game it says 1.0.8 in the bottom right. If the update didn't stick, it could be part of the reason why you can't connect to the internet, and the DLC isn't working.

    However, I understand it's asking you to update the System. Which is bizarre and unheard of to me. I can only theorize that it may be because it is an out of region game, and you are running off of JP firmware, as opposed to US firmware, which may be more obvious? Really not sure. If you're up for the hassle, I believe there is a way to get an alternative emunand, like US EMUNAND. It would break the eShop, and I'm not sure if it works with N3DS, but might be worth a shot if you are desperate.

    Really bizarre. I suspect that the update may not have stuck, but I am really not sure. It would explain the missing DLC, and online issues. I tried to update a EUR Smash on my 3DS a while back, and it didn't stick.

    Maybe someone can chime in about changing EMUNAND region?
     
  9. MattKimura

    MattKimura 3DS & WiiU Enthusiast

    Member
    1,854
    984
    Jun 30, 2014
    United States
    On a side note you only need DLC pack 2, which contains the previous DLC content.
     
  10. Varia

    Varia GBAtemp Fan

    Member
    454
    117
    Nov 19, 2010
    I'm also using a JP N3DS (European rom of Smash) and had no problems playing online.

    The problem with the dlc might be because you haven't uninstalled the 1st pack before installing the 2nd one (which should include Mewtwo anyway).

    Don't know why you're being prompt to update though, weird.
    I'm on 8.1, emunand 9.5 if it helps (Eula ff:ff)
     
    Last edited by Varia, Jun 30, 2015
  11. Lucifer666
    OP

    Lucifer666 all the world needs is me

    Member
    1,496
    733
    Apr 22, 2011
    The Fourth Dimension
    I'm really confused why both of you are saying this. I'm fairly sure you have to purchase them separately? I just checked the eShop anyway. check the attached image. there's no mewtwo or dlc 1 mii costumes there

    but anyway I just formatted my emuNAND totally from scratch. I was thinking maybe its because I have the update nag, so I reset it to get rid of the nag and I'm gonna try installing smash all over again with the latest update and both DLCs.

    on a semi related note my emunand is on a version that doesn't have the browser as I updated via retail game from 8.1 to 9.4. I used updateCDN to get the CIA for the web browser (SKATER) that 9.4 has and installed it with devmenu, but even after doing so I still can't launch the browser. I'm just really unlucky eh.
     

    Attached Files:

  12. Simplicity

    Simplicity Advanced Member

    Newcomer
    76
    24
    May 14, 2013
    United States
    Not sure what they are referring to about the DLC pack. Someone did compile RYU and Mewtew into one CIA, but I installed them separately as they came out.

    When I setup EMUNAND I wasn't sure how to update it to 9.5. Instead of doing the retail cart method, I decided I wanted the full meal deal. So I grabbed 3DNUS, entered the firmware version 9.5.0-23 and then my region, selected N3DS and downloaded all of the CIAs.

    Then, I booted into EMUNAND, loaded DevMenu, went into the folder with the update, selected the first CIA and pressed L+R+A (I believe that's the combination to install all CIA's in a folder).

    After finishing, I rebooted, went into EMUNAND, and it was 9.5.0-23.

    The CIAs generated by 3DNUS should include the browser, and any other needed features. Maybe it even will help get rid of the update nag? Not sure.
     
  13. blaze862

    blaze862 Member

    Newcomer
    28
    4
    Jul 13, 2012
    When i had this issue i used a different cia installer. Fbi wouldn't work at all so i used bigbluebox and it worked first try.
     
  14. MattKimura

    MattKimura 3DS & WiiU Enthusiast

    Member
    1,854
    984
    Jun 30, 2014
    United States
    I personally installed DLC pack 2 on my gf's 3DS, never before installing any DLC. And it included Mewtwo + all the rest. That one cia file contains all the DLC up to this point.

    Same for Theatrhythm Final Fantasy, as newer DLC is released, the user can just pack it all as one single cia file. Same for themes.
     
  15. Melon__Bread

    Melon__Bread ~It's A Magik~

    Member
    710
    400
    Dec 9, 2013
    United States
    Do not try and compare the DLC packs you find online with the eshop.
    The thread where you got your DLC includes ALL dlc (costumes, stages, characters, etc)
     
  16. Lucifer666
    OP

    Lucifer666 all the world needs is me

    Member
    1,496
    733
    Apr 22, 2011
    The Fourth Dimension
    Oh, right that makes sense. Thanks @Simplicity @MattKimura @Melon__Bread

    Also after going through the pain of formatting my emuNAND, deleting Smash and its save, and basically just a good few hours not knowing what the hell was going on I finally realised that the upload for the 1.0.8 update was mislabeled and it was actually 1.0.7. I guess the game without being updated didn't know what to do with the extra fighter/stage data and prompted me to update my system.

    Still trying to fix the browser issue RN
     
  17. Typhin

    Typhin GBAtemp Fan

    Member
    305
    101
    Jan 30, 2008
    United States
    This was the same issue I ran into myself, actually. For anyone else running into this issue and wondering if they have a mislabeled update, the 1.0.7 CIA is around 173-ish MB, the 1.0.8 CIA is around 239-ish MB.

    Not sure why the browser isn't working. Are you getting a specific error message, either during install or when attempting to run it? (I don't have a N3DS myself, so I'm probably going to be of limited help, but someone else might know something.)
     
  18. Simplicity

    Simplicity Advanced Member

    Newcomer
    76
    24
    May 14, 2013
    United States
    I think he just has a missing browser. He said he updated his 8.1J EMUNAND with a retail cart. Retail carts with updates to my understanding do not contain many important features included in full updates, like the web browser. If he grabs the correct version and region's CIA's using 3DNUS, he should be able to update to 9.5.0-23 and have the desired web browser.
     
  19. dubbz82

    dubbz82 GBAtemp Advanced Maniac

    Member
    1,512
    815
    Feb 2, 2014
    United States
    To answer the question at hand, it's pretty simple. 1. Buy the game. 2. Hit up the eShop 3. pay for dlc 4. ??? 5. Profit.
     
  20. Typhin

    Typhin GBAtemp Fan

    Member
    305
    101
    Jan 30, 2008
    United States
    It is true that card updates will not include the browser, but in a previous post, he stated that he had installed a CIA for the browser separately. Using 3DNUS to get a full set of CIAs for 9.5.0-23J seems like the best solution, though. (Original post states JP N3DS, and I don't know enough about region-changing emuNands to get into that, so I'm assuming he'll want the J version.)

    Your post is as unhelpful as telling someone to buy a Mac when they have issues with Windows. Especially considering that using the eShop and paying for DLC is not an option that is compatible with continuing to use emuNand or homebrew, even for legitimate purposes.